export default {
  props: {
    // 定义标题
    title: {
      type: String,
      default: '图例'
    },
    bkClass: {
      type: String,
      default: 'bk_normal'
    },
    // 定义跳转页面url
    uri: {
      type: String,
      default: ''
    },
    // 定义组件高度
    height: {
      type: String,
      default: '210'
    },
    // 定义组件高度
    width: {
      type: String,
      default: '134'
    }
  },
  computed: {
    style: function () {
      return {
        height: this.height + 'px',
        width: this.width + 'px'
      };
    }
  },
  data () {
    return {
    };
  },
  methods: {
  }
};
