const getters = {
  sidebar: state => state.app.sidebar,
  year: state => state.user.year,
  deptId: state => state.user.deptId,
  size: state => state.app.size,
  device: state => state.app.device,
  visitedViews: state => state.tagsView.visitedViews,
  cachedViews: state => state.tagsView.cachedViews,
  token: state => state.user.token,
  avatar: state => state.user.avatar,
  name: state => state.user.name,
  introduction: state => state.user.introduction,
  roles: state => state.user.roles,
  userRoles: state => state.user.userRoles,
  permissions: state => state.user.permissions,
  setUpModuleId: state => state.user.setUpModuleId,
  permission_routes: state => state.permission.routes,
  bookName: state => state.user.bookName,
  sidebarRouters: state => state.permission.sidebarRouters,
  nickName: state => state.user.nickName,
  businessOwnership: state => state.user.businessOwnership,
  deptLevel: state => state.user.deptLevel,
  businessLevel: state => state.user.businessLevel,
  bookType: state => state.user.bookType,
  deptname: state => state.user.deptname,
  leader: state => state.user.leader,
  parentDeptName: state => state.user.parentDeptName,
  deptName: state => state.user.deptName,
  userType: state => state.user.userType,
  allDeptName: state => state.user.allDeptName,
  systemConfigList: state => state.user.systemConfigList, //获取登录页标题
  loginSystemName: state => state.user.loginSystemName, //系统名称
  browserName: state => state.user.browserName, //浏览器页签名称
  technicalSupport: state => state.user.technicalSupport, //技术支持
  noticeThree: state => state.user.noticeThree,  //阅读须知 0 未阅读
  baseRoutingUrl: state => state.user.baseRoutingUrl, //资源文件访问前缀
  bigscreenUrl: state => state.user.bigscreenUrl, //大数据指挥舱
  globalLogo: state => state.user.globalLogo,  //全局logo
  screenLogo: state => state.user.screenLogo,  //大屏logo
}
export default getters
