import Header from '@/components/header/index.vue';
import Tabs from '@/components/tabs/index.vue';

import Left11 from './comps/left/top/1/index.vue';
import Left21 from './comps/left/middle/1/index.vue';
import Left31 from './comps/left/bottom/1/index.vue';
import Right11 from './comps/right/top/1/index.vue';
import Right21 from './comps/right/middle/1/index.vue';
import Right31 from './comps/right/bottom/1/index.vue';

import Left12 from './comps/left/top/2/index.vue';
import Left22 from './comps/left/middle/2/index.vue';
import Left32 from './comps/left/bottom/2/index.vue';
import Right12 from './comps/right/top/2/index.vue';
import Right22 from './comps/right/middle/2/index.vue';
import Right32 from './comps/right/bottom/2/index.vue';
import Bottom2 from './comps/buttom/2/index.vue';
import Bottom1 from './comps/buttom/1/index.vue';

import { comps } from './data.js'


import GisMap from '@/components/gis-map/index.vue';
export default {
  components: {
    GisMap,
    Header,
    Tabs,
    Left11,
    Left21,
    Left31,
    Right11,
    Right21,
    Right31,
    Left12,
    Left22,
    Left32,
    Right12,
    Right22,
    Right32,
    Bottom2,
    Bottom1
  },
  data () {
    return {
      tabData: [
        {
          id: '1',
          name: '统计分析'
        },
        {
          id: '2',
          name: '预警分析'
        }
      ],
      yellowIcon: require('./icon/yellow.png'),
      tab: '1',
      comps
    };
  },
  computed: {
    currentComp: function () {
      return this.comps[this.tab]
    }
  },
  created () {
  },
  mounted () {
  },
  methods: {
    tabChange (info) {
      this.tab = info.id;
    }
  }
};
