import Pannel from '@/components/pannelNew/index.vue';
import Bar from '@/components/charts/bar-dimensional/index.vue';

export default {
  components: {
    Bar,
    Pannel
  },
  props: {
    data: {
      type: Array,
      default: function () {
        return []
      }
    }
  },
  data () {
    return {
      chartData: [
        {
          name: 'A镇',
          value: '100'
        },
        {
          name: 'A镇',
          value: '190'
        },
        {
          name: 'A镇',
          value: '180'
        },
        {
          name: 'A镇',
          value: '170'
        },
        {
          name: 'A镇',
          value: '160'
        },
        {
          name: 'A镇',
          value: '150'
        },
        {
          name: 'A镇',
          value: '240'
        }
      ]
    };
  },
  created () {
  },
  mounted () {
  },
  methods: {
    tabChange (info) {
      this.tabIndex = info.id
    }
  }
};
