import Vue from 'vue';
import VueRouter from 'vue-router';

Vue.use(VueRouter);
const routes = [
  {
    path: '/',
    name: 'root',
    redirect: '/login'
  },
  // 资金
  {
    path: '/nav',
    name: 'nav',
    component: () => import('@/views/nav/index.vue')
  },
  // 资金
  {
    path: '/capital',
    name: 'capital',
    component: () => import('@/views/capital/index.vue')
  },
  {
    path: '/login',
    name: 'login',
    component: () => import('@/views/login/index.vue')
  },
  // 资源
  {
    path: '/resources',
    name: 'resources',
    component: () => import('@/views/resources/index.vue')
  },
  // 资产
  {
    path: '/property',
    name: 'property',
    component: () => import('@/views/property/index.vue')
  },
  // // 三清五治
  {
    path: '/sanqing',
    name: 'sanqing',
    component: () => import('@/views/sanqing/index.vue')
  }
];

const router = new VueRouter({
  routes
  // mode: 'history'
});

export default router;
